import usePolling from "../util/Polling"

export default function useGamesApi(gamesState) {
    const [games, setGames] = gamesState;

    const useList = (pollingReducer) => {
        const [polling, dispatchPolling] = pollingReducer;

        const mode = (polling.enabled === true)
            ? { interval_sec: 30 }      // update games list every half a minue
            : { interval_stop: true }   // user has fliped OfflineToggel

        const isPolling = usePolling('/api/games', setGames, mode);

        if (isPolling !== polling.games) {
            dispatchPolling({ type: 'next', games: isPolling });
        }

        return games;
    }

    return {
        list: useList
    }
}