import { useReducer } from 'react';
import { localeCompare } from '../util/Locale';
//import { nextState } from '../util/StateHelper';

export const userInitialState = {
  username: '',

  isCurrentUser: function (otherUsername) {
    return localeCompare(this.username, otherUsername)
  }
};

export function userReducer(state, action) {
  switch (action.type) {

    case 'parse':
      const apiData = parse(action.json);

      return {
        ...state,
        ...apiData
      };

    default:
      throw Error('UserReducer: unknown action.type', action.type);
  }
}

export default function useUserReducer() {
  return useReducer(userReducer, userInitialState);
}

function parse(json) {
  console.log("userreducer.parse", json);
  return {
    username: json.username
  }
}